Package org.eclipse.ecf.osgi.services.remoteserviceadmin

# Interface ITopologyManager

All Known Implementing Classes:
  `TopologyManager`

public interface ITopologyManager

Since:
  4.6

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`ENDPOINT_ALLOWLOCALHOST`
`static final String`
`ENDPOINT_ALLOWLOCALHOST_PROP`
`static final String`
`ENDPOINT_EXTRA_FILTERS`
`static final String`
`ENDPOINT_EXTRA_FILTERS_PROP`
`static final String`
`EXPORT_REGISTERED_SERVICES_FILTER`
`static final String`
`EXPORT_REGISTERED_SERVICES_FILTER_PROP`
`static final String`
`ONLY_ECF_SCOPE`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getEndpointFilters()`
`String[]`
`setEndpointFilters(String[] newFilters)`

## Field Details

### ENDPOINT_ALLOWLOCALHOST_PROP

static final String ENDPOINT_ALLOWLOCALHOST_PROP

See Also:
  - Constant Field Values

### ENDPOINT_ALLOWLOCALHOST

static final boolean ENDPOINT_ALLOWLOCALHOST

### ENDPOINT_EXTRA_FILTERS_PROP

static final String ENDPOINT_EXTRA_FILTERS_PROP

See Also:
  - Constant Field Values

### ENDPOINT_EXTRA_FILTERS

static final String ENDPOINT_EXTRA_FILTERS

### ONLY_ECF_SCOPE

static final String ONLY_ECF_SCOPE

See Also:
  - Constant Field Values

### EXPORT_REGISTERED_SERVICES_FILTER_PROP

static final String EXPORT_REGISTERED_SERVICES_FILTER_PROP

See Also:
  - Constant Field Values

### EXPORT_REGISTERED_SERVICES_FILTER

static final String EXPORT_REGISTERED_SERVICES_FILTER

## Method Details

### getEndpointFilters

String[] getEndpointFilters()

### setEndpointFilters

String[] setEndpointFilters(String[] newFilters)